%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-qdr

Name:                   puppet-qdr
Version:                2.3.1
Release:                2%{?dist}
Summary:                Installs, configures, and managed Qpid dispatch router
License:                ASL 2.0

URL:                    https://git.openstack.org/cgit/openstack/%{name}

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

# patches_base=b37d40
Patch0001: 0001-Changes-to-include-broker-connector-configuration.patch

BuildArch:              noarch

Requires:               puppet-stdlib

Requires:               puppet >= 2.7.0

%description
Installs, configures, and managed Qpid dispatch router

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/qdr/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/qdr/



%files
%{_datadir}/openstack-puppet/modules/qdr/


%changelog
* Wed Apr 17 2019 Martin Magr <mmagr@redhat.com> 2.3.1-2
- Changes to include broker connector configuration. (rhbz#1701020)

* Mon Oct 15 2018 RDO <dev@lists.rdoproject.org> 2.3.1-1
- Update to 2.3.1

* Mon Aug 20 2018 RDO <dev@lists.rdoproject.org> 2.3.0-1
- Update to 2.3.0
